# BlockSoft

Get all the running software of the peers of your Mastodon server and block the software you want.

### Dependencies

-   **Python 3**
-   Postgresql server
-   Mastodon server admin access token

### Usage:

Within Python Virtual Environment:

1. Run `pip install -r requirements.txt` to install needed Python libraries.

2. Run `python peers.py` to collect and store all needed data from your server peers.  

3. Edit `software.txt` file, add the software you want to block, one per line, and save it. 

4. Run `python blocksoft.py` to block the configured software.  

[demo](https://git.mastodont.cat/spla/blocksoft/raw/branch/master/blocksoft.mov)



